# Poco

# class StreamCopier

Library: Foundation
Package: Streams
Header: Poco/StreamCopier.h

## Description

This class provides static methods to copy the contents from one stream into another.

## Member Summary

Member Functions: copyStream, copyStreamUnbuffered, copyToString

## Member Functions

### copyStream

static std::streamsize copyStream(
std::istream & istr,
std::ostream & ostr,
unsigned bufferSize = 8192
);

Writes all bytes readable from istr to ostr, using an internal buffer.

Returns the number of bytes copied.

### copyStreamUnbuffered

static std::streamsize copyStreamUnbuffered(
std::istream & istr,
std::ostream & ostr
);

Writes all bytes readable from istr to ostr.

Returns the number of bytes copied.

### copyToString

static std::streamsize copyToString(
std::istream & istr,
std::string & str,
unsigned bufferSize = 8192
);

Appends all bytes readable from istr to the given string, using an internal buffer.

Returns the number of bytes copied.